// Menu View
// =============

// Includes file dependencies
define([
    "jquery", 
    "backbone",
    "templates"
], function($, Backbone, Templates) {

    // Extends Backbone.View
    var MenuView = Backbone.View.extend({

        id: 'panelMenu',

        attributes: {
            'data-role': 'panel',
            'data-display': 'overlay',
        },

        template: Templates.MenuTemplate,

        // Renders all of the Category models on the UI
        render: function() 
        {
            // Sets the view's template property
            this.$el.html(this.template());
            // Maintains chainability
            return this;
        }

    });

    // Returns the View class
    return MenuView;
});