// Popup View
// =============

// Includes file dependencies
define([
    "jquery", 
    "backbone",
    "templates"
], function($, Backbone, Templates) {

    // Extends Backbone.View
    var PopupView = Backbone.View.extend({

        id: 'popup',
        template: Templates.PopupTemplate,

        attributes: {
            'data-role': 'popup',
            'data-theme': 'a',
            'data-overlay-theme': 'a',
            'data-dismissible': 'false',
        },

        initialize: function (opts)
        {
            _.bindAll(this, "close");
            this.content = opts.content;
            this.title = opts.title;
            this.appentTo = opts.appentTo;
        },

        render: function () 
        {
            // Sets the view's template property
            this.$el.html(this.template({'content': this.content, 'title': this.title}));
            this.$el.appendTo(this.appentTo ? appentTo : $('body'));
            this.$el.find('[data-role="header"]').toolbar();
            this.$el.popup();
            // Maintains chainability
            return this;
        },

        openPopup: function () 
        {
            this.$el.popup('open', {'positionTo': 'window'});
            // Maintains chainability
            return this;
        },

        closePopup: function () 
        {
            this.$el.popup('close');
            this.close({'removeFromDOM': true});
        }

    });

    // Returns the View class
    return PopupView;
});