/*!
 * App configurations
 */

define({
    // JSON resources endpoints
    resources: {
        news: "http://api.ipma.pt/json/news.json",
        seismic: "http://api.ipma.pt/json/seismic.json",
        reports: "http://api.ipma.pt/json/seismic_reports.json"
    },
    cacheExpires: {
        news: 60 * 60,
        seismic: 60 * 60,
        reports: 60 * 60
    },
    // shakemap image url
    shakemapImageURL: "http://shakemap.ipma.pt/:id:/download/intensity.jpg",
    // leaflet map layers
    leaflet: {
        omsRoadLayer: "http://openmapsurfer.uni-hd.de/tiles/roads/x={x}&y={y}&z={z}",
        osmLayer: "http://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png",
        esriWorldLayer: "http://server.arcgisonline.com/ArcGIS/rest/services/World_Topo_Map/MapServer/tile/{z}/{y}/{x}",
        esriOceanLayer: "http://server.arcgisonline.com/ArcGIS/rest/services/Ocean_Basemap/MapServer/tile/{z}/{y}/{x}",
    },
    // leaflet markers 
    seismicMarker: {
        default: {
            fillColor: "#990000",
            fillOpacity: "0.8",
            stroke: "white"
        },
        selected: {
            fillColor: "#2ABEFF",
            fillOpacity: "1",
            stroke: "white"
        },
    },
})