/*!
 * Require JS configurations and initializations of app
 */

requirejs.config({
    'paths': { 
        'text':               '../lib/requirejs/plugins/text-v2.0.12',
        'jquery':             '../lib/jquery/jquery-min-v2.1.1', 
        'jquerymobile':       '../lib/jquery-mobile/jquery.mobile-min-1.4.3', 
        'underscore':         '../lib/underscorejs/underscore-min-v1.7.0', 
        'backbone':           '../lib/backbonejs/backbone-min-v1.1.2',
        'backbone-cache':     '../lib/backbonejs/backbone.fetch-cache', 
        'backbone-utils':     '../lib/backbonejs/backbone-utils',
        'handlebars':         '../lib/handlebarsjs/handlebars-v2.0.0',
        'handlebars-helpers': '../lib/handlebarsjs/handlebars-helpers',
        'leaflet':            '../lib/leaflet/leaflet-min-v0.7.3',
        'utils':              '../lib/utils/utils',
    }, 
    'shim': { 
        'underscore': { 
            'exports': '_' 
        }, 
        'backbone': { 
            'deps': ['jquery', 'underscore'], 
            'exports': 'Backbone' 
        },
        'backbone-cache': { 
            'deps': ['backbone'], 
        },
        'backbone-utils': { 
            'deps': ['backbone'], 
        },
        'handlebars': { 
            'exports': 'Handlebars' 
        }, 
        'handlebars-helpers': {
            'deps': ['handlebars'],
        }
    } 
});


// Includes File Dependencies
require([
    "jquery", 
    "backbone", 
    "router", 
    "backbone-cache",
    "backbone-utils",
    "handlebars-helpers"
], function($, Backbone, Mobile) {

    document.addEventListener("deviceready", function() {

        // Set up the "mobileinit" handler before requiring jQuery Mobile's module
        $(document).on("mobileinit", function() {
            // Prevents all anchor click handling including the addition of active button state and alternate link bluring.
            $.mobile.linkBindingEnabled = false;
            // Disabling this will prevent jQuery Mobile from handling hash changes
            $.mobile.hashListeningEnabled = false;
            // Disabling this will prevent jQuery Mobile from pushing states
            $.mobile.pushStateEnabled = false;
            // Define default page transition
            $.mobile.defaultPageTransition = 'slide';
        });

        require(["jquerymobile"], function() {
            // Instantiates a new Backbone.js Mobile Router
            this.router = new Mobile();
        });

    }, false);

});
