define([
    'underscore',
    'backbone',
    'templates',
    'news/NewsView',
], function(_, Backbone, Templates, NewsView) {

    var NewsListView = Backbone.View.extend({

        template: Templates.NewsListTemplate,

        initialize: function(options) 
        {
            _.bindAll(this, 'render','renderNews');
        },

        render: function() 
        {
            this.$el.html( this.template() );
            this.renderNews();
            return this;
        },

        renderNews: function()
        {
            var newsElement = this.$("[data-role='content']");

            newsElement.empty();

            this.collection.forEach(function (news) {
                newsElement.append( new NewsView({model: news}).render().el );
            });
        },
    });

    return NewsListView;
});
