define([
    'underscore',
    'backbone',
    'templates',
    'reports/ReportView',
], function(_, Backbone, Templates, ReportView) {

    var ReportListView = Backbone.View.extend({

        template: Templates.ReportListTemplate,

        initialize: function(options) 
        {
            _.bindAll(this, 'render', 'renderReport');
        },

        render: function() 
        {
            this.$el.html( this.template() );
            this.renderReport();
            return this;
        },

        renderReport: function()
        {
            var reportElement = this.$("#reports");

            reportElement.empty();

            this.collection.forEach(function (report) {
                reportElement.append( new ReportView({model: report}).render().el );
            });
        },
    });

    return ReportListView;
});
