// Home View
// =============

// Includes file dependencies
define([
    "jquery", 
    "underscore", 
    "backbone",
    "templates",
], function($, _, Backbone, Templates) {

    // Extends Backbone.View
    var SeismicView = Backbone.View.extend({

        tagName: 'li',
        template: Templates.SeismicTemplate,

        attributes: function () {
            return {
                'id': "seismic-"+this.model.cid,
                'data-role': "collapsible",
                'data-iconpos': "right",
                'data-inset': "false",
            }
        },

        // Renders all of the Category models on the UI
        render: function() 
        {   
            var data = _.extend(this.model.toJSON(), {'cid': this.model.cid});
            this.$el.html( this.template(data) );
            // Maintains chainability
            return this;
        }

    });

    return SeismicView;
});