define([
    "backbone",
    "configs"
], function(Backbone, Configs) {

    var SeismicModel = Backbone.Model.extend({

        defaults: {
            lat:          null,
            lon:          null,
            spotSymbID:   null,
            time:         null,
            degree:       null,
            depth:        null,
            magnitud:     null,
            magType:      null,
            obsRegion:    null,
            sensed:       null,
            source:       null,
            shakemapid:   null,
            shakemapurl:  null,
            shakemapref:  null,
            googlemapref: null,
        },

        initialize: function() 
        {
            if (this.get('shakemapid') != 0) 
                this.set('shakemapurl', Configs.shakemapImageURL.replace(/:id:/g, this.get('shakemapid')));

            this.set('time', new Date(this.get('time')));
            this.set('sensed', this.get('sensed') == 'false'?false:true);
            this.set('magnitud', parseFloat(this.get('magnitud')).toFixed(1));
        },

    });

    return SeismicModel;
});
