// Static View
// =============
// Renders a simple html content without model

// Includes file dependencies
define([
    'backbone',
    'templates',
], function(Backbone, Templates) {

    var StaticView = Backbone.View.extend({

        template: Templates.StaticTemplate,

        initialize: function (options) 
        {
            this.title = options.title;
            this.staticTemplate = Templates[options.template];
        },

        render: function() 
        {
            this.$el.html( this.template({'content': this.staticTemplate, 'title': this.title}) );
            // Maintains chainability  
            return this;
        },

    });

    return StaticView;
});
