define(function(require) {

    var Handlebars = require("handlebars");

    var months = ['Janeiro', 'Fevereiro', 'Março', 'Abril', 'Maio', 'Junho',
                  'Julho', 'Agosto', 'Setembro', 'Outubro', 'Novembro', 
                  'Dezembro'];

    Handlebars.registerHelper("formatDate", function(value) {
        var date = value;

        if (!(date instanceof Date)) 
            date = new Date(value);

        var day = date.getDate()+"";
        var month = months[date.getMonth()];
        var year = date.getFullYear();
        var hours = date.getHours()+"";
        var minutes = date.getMinutes()+"";
        
        day = (day.length==1?"0"+day:day);
        hours = (hours.length==1?"0"+hours:hours);
        minutes = (minutes.length==1?"0"+minutes:minutes);

        return new Handlebars.SafeString(day+" de "+month+" de "+year+" <small>às</small> "+hours+":"+minutes);
    });

    Handlebars.registerHelper("boolText", function(value) {
        return value?'Sim':'Não';
    });

});